function Power()

	wait(0.1)

	if game.Workspace.Glass.RoundelsOff.Value == true then

		script.Parent.Gui.Main.ZIndex = 3
		script.Parent.ClickDetector.MaxActivationDistance = 0

	else

		script.Parent.Gui.Main.ZIndex = 1
		script.Parent.ClickDetector.MaxActivationDistance = 32
	end
end

game.Workspace.Glass.RoundelsOff.Changed:connect(Power)